FROM python:3.8.10

RUN apt-get update -y 
RUN apt-get install -y python3-pip python3-dev 
RUN pip3 install --upgrade pip
COPY requirements.txt .
RUN pip3 install -r requirements.txt

ARG OPENAI_ORG_ID
ENV OPENAI_ORG_ID=$OPENAI_ORG_ID

ARG OPENAI_API_KEY
ENV OPENAI_API_KEY=$OPENAI_API_KEY

RUN mkdir /ragmodel
COPY . /ragmodel
WORKDIR /ragmodel
RUN python3 -m grpc_tools.protoc --python_out=. --proto_path=. --grpc_python_out=. ragmodel.proto


ENTRYPOINT python3 -u server.py